qpid-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Robbie Gemmell (JIRA)" <j...@apache.org>
Subject [jira] [Closed] (QPID-3104) why is backport-util-concurrent.jar required when running on linux java 1.6 but not windows
Date Thu, 14 Jul 2011 15:41:00 GMT

     [ https://issues.apache.org/jira/browse/QPID-3104?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Robbie Gemmell closed QPID-3104.
--------------------------------

    Resolution: Not A Problem
      Assignee: Robbie Gemmell

The use of backport was required due to the older mina version (1.0.1) being used on the Linux
test vs the Windows test (1.1.7). Mina 1.1.7 makes use of Java5 constructs, whereas Mina 1.0.1
supports Java 1.4 and makes use of the backport classes.

QPID-2498 has seen us upgrade our use of Mina to 1.1.7 on trunk for inclusion in the 0.14
release, so backport should no longer be required and this JIRA can be closed.

> why is backport-util-concurrent.jar required when running on linux java 1.6 but not windows
> -------------------------------------------------------------------------------------------
>
>                 Key: QPID-3104
>                 URL: https://issues.apache.org/jira/browse/QPID-3104
>             Project: Qpid
>          Issue Type: Bug
>          Components: Java Client
>    Affects Versions: 0.5
>         Environment: Lunix,  hotpsot server JVM 1.6.0_20 
> Windows XP. Hotspot client JVM  1.6.0_17
> Qpid java client 0.5
>            Reporter: Jason Smith
>            Assignee: Robbie Gemmell
>            Priority: Minor
>
> The problem is when running my java application which includes the following Qpid jars
and dependencies, it works on Windows but with the same deployment lib it fails when running
on Linux.  
> 1. I have to add backport 3.0 jar which Im not sure why since I didn't have to in my
Windows sandbox.  
> 2. apache mina 1.1.7 doesn't work with Qpid 0.5, I had to use mina 1.0.1  This is an
acceptable solutions but I'm not sure why.  Part of the reason is I have other libraries that
will perform much better when using using the latest mina 1.1.7 on java 6.
> On Windows XP - these jars cause no problems
> mina-core-1.1.7.jar
> qpid-all.jar
> qpid-client-0.5.jar
> qpid-common-0.5.jar
> geronimo-jms_1.1_spec-1.0.jar
> On Linux - I have to add these jars in order for Qpid to work, backport was needed and
mina needed a downgrade
> mina-core-1.0.1.jar
> backport-util-concurrent.jar
> qpid-all.jar
> qpid-client-0.5.jar
> qpid-common-0.5.jar
> geronimo-jms_1.1_spec-1.0.jar

--
This message is automatically generated by JIRA.
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

---------------------------------------------------------------------
Apache Qpid - AMQP Messaging Implementation
Project:      http://qpid.apache.org
Use/Interact: mailto:dev-subscribe@qpid.apache.org


Mime
View raw message